<nav id="main-navbar" hideableHeader>
	<div id="main-navbar-content" fxLayout="row">
		<div id="logo" (click)="navigateTo(navigationItems[0])" fxLayoutAlign="center center">
			<span class="mdi mdi-google-plus"></span>
		</div>

		<div fxFlex></div>

		<!-- show if viewport is greater than SM -->
		<div id="nav-items" fxLayout="row" fxLayoutAlign="center center" fxLayoutGap="20px" fxHide.lt-md>
			<div *ngFor="let navItemIndex of displayedNavItemsIndex">
				<span class="nav-item typ-body-2" (click)="navigateTo(navigationItems[navItemIndex])">{{ navigationItems[navItemIndex].displayName }}</span>
			</div>
		</div>
		
		<!-- <div id="menu-button" ngbDropdown placement="bottom-right" fxLayoutAlign="center center" fxHide.lt-md>
			<span class="mdi mdi-menu" ngbDropdownToggle></span>
			<div ngbDropdownMenu>
				<button class="dropdown-item" *ngFor="let navItem of navigationItems" (click)="navigateTo(navItem)">{{ navItem.displayName }}</button>
			</div>
		</div> -->


		<!-- show this instead if viewport is greater than SM  -->
		<div id="menu-button" fxLayoutAlign="center center" fxHide.gt-sm>
			<span class="mdi mdi-menu" (click)="toggleSidebarNav()"></span>
		</div>
	</div>
</nav>